This module integrates Braintree Payments with Drupal Commerce to accept credit card payments on-site and store card data in the Braintree vault for later processing.

Which version should I use?

The 2.x branch is recommended. The 1.x branch has been deprecated and is no longer supported.

Commerce Braintree 1.x provides basic integration with Commerce Card on File 1.x, while the 2.x version of this module integrates with the more robust 2.x version of Card on File. Please ensure that you use the matching versions.

There is currently no planned upgrade path from Commerce Braintree 1.x to 2.x. All new users should start from Commerce Braintree 2.x, and existing users are encouraged to switch and reconfigure the module before going live.


See the modules README.txt for information on installing and configuring this module.


This module uses an external library.

Download your choice of the 2.40.0 PHP library from Braintree:

More information can be found in the README.txt

Project Information